Bug 1451441 (CVE-2017-7504) - CVE-2017-7504 jboss: JbossMQ HTTP Invocation Layer deserialization vulnerability
Summary: CVE-2017-7504 jboss: JbossMQ HTTP Invocation Layer deserialization vulnerability
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-7504
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1451444
TreeView+ depends on / blocked
 
Reported: 2017-05-16 16:15 UTC by Adam Mariš
Modified: 2019-09-29 14:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-19 07:05:09 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-05-16 16:15:11 UTC
HTTPServerILServlet.java in JMS over HTTP Invocation Layer of the JbossMQ implementation (jbossmq-httpil.sar, which is enabled by default in Red Hat Jboss Applicatino Server <= Jboss 4.X) does not restrict the classes for which it performs deserialization, which allows remote attackers to execute arbitrary code via crafted serialized data.

Comment 1 Adam Mariš 2017-05-16 16:15:16 UTC
Acknowledgments:

Name: Joao Filho Matos Figueiredo

Comment 2 Jason Shepherd 2017-05-18 05:53:59 UTC
Statement:

JBoss 4.x is not supported by Red Hat


Note You need to log in before you can comment on or make changes to this bug.